<?php

namespace App\Model\Entities\Components\Guide;

use App\Model\Entities\Security\User;
use App\Model\Entities\Components\Review;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 */
class GuideReview extends Review
{
   /**
    * @var Guide
    * @ORM\ManyToOne(targetEntity="Guide")
    */
   protected $guide;

   public function __construct(User $grantedBy, Guide $guide, $value)
   {
      parent::__construct($grantedBy, $value);

      $this->guide = $guide;
   }

   /**
    * @return Guide
    */
   public function getGuide()
   {
      return $this->guide;
   }

}